Summary
Export Automation
Description
Export an Automation.
Route
GET /operations-manager/automations/:id/export
Roles
admin
engineering
apiread
viewer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
The id of the Automation to export. |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| document |
object |
The result of the export operation. |
Copied to Clipboard
{
"message": "Successfully imported 3 of 4 documents",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": "workflows",
"_id": "39c7d9bf21c0a2fb6c122c95",
"gbac": {
"write": [
{
"provenance": "ldap",
"name": "operators",
"description": "Description of a group"
}
],
"read": [
{
"provenance": "localAAA",
"name": "operators",
"description": "Description of a group"
},
{
"provenance": "localAAA",
"name": "admins",
"description": "Description of a group"
},
{
"provenance": "ldap",
"name": "operators",
"description": "Description of a group"
}
]
},
"componentName": "pariatur occaecat labore cillum",
"createdBy": null,
"created": "1948-10-18T14:01:31.158Z",
"lastUpdatedBy": null,
"lastUpdated": "1985-03-20T14:22:21.74Z",
"triggers": [
{
"name": "myCoolDocumentName",
"type": "endpoint",
"enabled": true,
"actionType": "automations",
"actionId": "e51270dd5b9f0210bc470103",
"verb": "POST",
"routeName": "xuIc-aW",
"schema": null,
"_id": "d1dcd00f07ff12648816f8fb",
"jst": null,
"description": "Some helpful information about the document",
"lastExecuted": 10999683,
"migrationVersion": 31724301,
"createdBy": "magna",
"created": "1986-08-07T22:56:04.078Z",
"lastUpdatedBy": null,
"lastUpdated": "2000-05-06T12:04:36.035Z"
}
]
}
}